%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function [Flag, Number] = DB_PSet_Is_FD(PSet_ID)

% Функция определяет, имеет ли property set префикс FD в названии, а также возвращает номер из названия
% Существование property set PSet_ID должно проверяться вне данной функции до ее вызова

global DB_PSETS;
global AT_PSETS;

Flag = 0;
Number = [];

if (isempty(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name))
    return;
end

if (length(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name) < 4)
    return;
end

if (~strcmp(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name(1:3), 'FD_'))
    return;
end

if (~isempty(strfind(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name(4:length(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name)), '.'))) %#ok<STREMP> % Для совместимости с GNU Octave вместо if (contains(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name(4:length(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name)), '.'))
    return;
end

tmp_number = str2double(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name(4:length(DB_PSETS{AT_PSETS(PSet_ID)}.Patran_name)));

if (isnan(tmp_number))
    return;
end

Flag = 1;
Number = tmp_number;
